Summary:	Quickly rewrite git repository history
Summary(pl.UTF-8):	Szybkie przepisywanie historii repozytorium
Name:		python3-git-filter-repo
Version:	2.47.0
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/git-filter-repo/
Source0:	https://pypi.debian.net/git-filter-repo/git_filter_repo-%{version}.tar.gz
# Source0-md5:	9aa3e5b4a036bdbacaf59770b8ca40a4
URL:		https://pypi.org/project/git-filter-repo/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	git-core >= 2.24.0
Requires:	python3-modules >= 1:3.5
Conflicts:	git-filter-repo < 2.34.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
git filter-repo is a versatile tool for rewriting history.

%description -l pl.UTF-8
git filter-repo to wszechstronne narzędzie do przepisywania historii.

%prep
%setup -q -n git_filter_repo-%{version}

# use direct shebang
%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' git_filter_repo.py

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} $RPM_BUILD_ROOT%{_bindir}/git-filter-repo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/git_filter_repo.py
%{py3_sitescriptdir}/__pycache__/git_filter_repo.cpython-*.py[co]
%{py3_sitescriptdir}/git_filter_repo-%{version}.dist-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-git-filter-repo.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5ac3953
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3cfb3df
- python 3.13 rebuild

* Wed Feb 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> cda95fe
- Up to 2.47.0

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> e44174d
- updated to 2.38.0

* Sat Oct 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 89a01e5
- updated Conflicts

* Sat Oct 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 61919f8
- new, separated from git-filter-repo.spec (now with python metadata, required for e.g. b4)

